--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: error
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: error
  rw: W
- !ruby/object:RI::Attribute 
  comment: 
  name: index
  rw: W
- !ruby/object:RI::Attribute 
  comment: 
  name: index
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: result
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: result
  rw: W
- !ruby/object:RI::Attribute 
  comment: 
  name: src
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: RParsec::ParseContext
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: advance
- !ruby/object:RI::MethodSummary 
  name: available
- !ruby/object:RI::MethodSummary 
  name: current
- !ruby/object:RI::MethodSummary 
  name: eof
- !ruby/object:RI::MethodSummary 
  name: error_input
- !ruby/object:RI::MethodSummary 
  name: expecting
- !ruby/object:RI::MethodSummary 
  name: failure
- !ruby/object:RI::MethodSummary 
  name: get_current_input
- !ruby/object:RI::MethodSummary 
  name: next
- !ruby/object:RI::MethodSummary 
  name: peek
- !ruby/object:RI::MethodSummary 
  name: prepare_error
- !ruby/object:RI::MethodSummary 
  name: reset_error
- !ruby/object:RI::MethodSummary 
  name: retn
- !ruby/object:RI::MethodSummary 
  name: scanner
- !ruby/object:RI::MethodSummary 
  name: to_msg
name: ParseContext
superclass: Object
